from simulate_shuffle import simulate_shuffle
from matplotlib import pyplot


def generate_data (n_voters, n_attackers=0, rounds=10, samples=1):
	worst = [0] * rounds
	for n in range (samples):
		w = simulate_shuffle (n_voters, n_attackers, rounds)
		worst = [p+q for p, q in zip (worst, w)]
	worst = [float(n)/samples for n in worst]
	return worst


if __name__ == '__main__':
	n_voters = 100
	rounds = 10
	samples = 20

	for n in range (7):
		n_attackers = (n * n_voters + 9) // 10
		worst_per_round = generate_data (n_voters, n_attackers, rounds, samples)
		print ('attackers=%s' % n_attackers)
		print (repr (worst_per_round))
		pyplot.plot (worst_per_round)

	pyplot.show ()

